Bug 7068 - /boot/kernel.h shouldn't be modified if it is unchanged
/boot/kernel.h shouldn't be modified if it is unchanged
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-16 20:35 EST by Jonathan Kamens
Modified: 2014-03-16 22:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-17 12:43:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 1999-11-16 20:35:54 EST
/etc/rc.d/rc.sysinit regenerates /boot/kernel.h every time the machine
reboots.  This means that every time you run "gmake" in a kernel tree after
a reboot, lots of files will be rebuilt because they depend on
/boot/kernel.h (which is included by version.h), even though its content
hasn't really changed.

rc.sysinit should generate kernel.h in a temporary file, then compare it to
the one that's already there; if it's different, it should replace the old
one, but if it's the same, the temporary file should be removed and the old
kernel.h should be left in place.
Comment 1 Bill Nottingham 1999-11-17 12:43:59 EST
Fixed in initscripts-4.65-1, which will be in the next Raw Hide release.
Comment 2 Bill Nottingham 1999-11-17 12:44:59 EST
Fixed in initscripts-4.65-1, which will be in the next Raw Hide release.

Note You need to log in before you can comment on or make changes to this bug.